package com.qs.mp.common.enums;

/**
 * 用户身份
 *
 * @author liugl
 * @Date 2022/03/01
 */
public enum UserIdentityEnum {

	CHANNEL, // 代理渠道
	SALESITE // 经销商
	;
	public static boolean isChannel(UserIdentityEnum identity) {
		return identity == CHANNEL || identity == SALESITE;
	}

	public static UserIdentityEnum valueOf(int ordinal) {
		if (ordinal < 0 || ordinal >= values().length) {
			throw new IndexOutOfBoundsException("Invalid ordinal");
		}
		return values()[ordinal];
	}

}
