package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 盲票盒奖项对应的奖品设置实体类
 * @auther quanshu
 * @create 2022-03-02 12:25:55
 */
@TableName("mp_ticket_awards_prize")
@Data
public class TicketAwardsPrize implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "id" , type = IdType.AUTO)
  private Long id;

  /**
   * 奖项ID
   */
  @TableField("awards_id")
  private String awardsId;

  /**
   * 奖品ID（GOODS_ID或TEMPL_ID)
   */
  @TableField("prize_id")
  private String prizeId;

  /**
   * 奖品类型（GOODS或VOUCHER或COIN）
   */
  @TableField("prize_type")
  private String prizeType;

  /**
   * 奖品数
   */
  @TableField("quantity")
  private Integer quantity;

  /**
   * 已兑奖品数
   */
  @TableField("cashed_qty")
  private Integer cashedQty;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
