package com.qs.mp.channel.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 渠道账户流水实体类
 * @auther quanshu
 * @create 2022-03-02 12:22:24
 */
@TableName("mp_channel_money_log")
@Data
public class ChannelMoneyLog implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "id" , type = IdType.AUTO)
  private Long id;

  /**
   * 渠道ID
   */
  @TableField("channel_id")
  private Long channelId;

  /**
   * 交易类型
   */
  @TableField("type")
  private Integer type;

  /**
   * 交易后账户余额
   */
  @TableField("money")
  private Integer money;

  /**
   * 账户增减金额
   */
  @TableField("log_money")
  private Integer logMoney;

  /**
   * 收支类型
   */
  @TableField("income_expense")
  private Integer incomeExpense;

  /**
   * 备注
   */
  @TableField("log_text")
  private String logText;

  /**
   * 交易时间
   */
  @TableField("biz_time")
  private Date bizTime;

  /**
   * 关联交易ID类型
   */
  @TableField("ref_type")
  private Integer refType;

  /**
   * 关联交易ID
   */
  @TableField("ref_id")
  private String refId;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
