package com.qs.mp.channel.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

import javax.validation.constraints.NotNull;

import lombok.Data;

@ApiModel(value= "地址参数")
@Data
public class ChannelParam {

	@ApiModelProperty(value = "渠道ID",required=false)
	private Long channelId;

	@NotNull(message = "手机不能为空")
	@ApiModelProperty(value = "手机",required=true)
	private String mobile;
	
	@NotNull(message = "渠道名称不能为空")
	@ApiModelProperty(value = "渠道名称",required=true)
	private String name;

	@NotNull(message = "省ID不能为空")
	@ApiModelProperty(value = "省ID",required=true)
	private Long provinceId;

	@NotNull(message = "城市ID不能为空")
	@ApiModelProperty(value = "城市ID",required=true)
	private Long cityId;

	@NotNull(message = "区ID不能为空")
	@ApiModelProperty(value = "区ID",required=true)
	private Long areaId;

	@NotNull(message = "省不能为空")
	@ApiModelProperty(value = "省",required=true)
	private String province;

	@NotNull(message = "城市不能为空")
	@ApiModelProperty(value = "城市",required=true)
	private String city;

	@NotNull(message = "区不能为空")
	@ApiModelProperty(value = "区",required=true)
	private String area;

	@NotNull(message = "分佣百分比不能为空")
	@ApiModelProperty(value = "分佣百分比",required=true)
    private BigDecimal commRate;

}
