package com.qs.mp.channel.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.channel.domain.Channel;
import com.qs.mp.channel.domain.vo.ChannelVO;
import com.qs.mp.channel.mapper.ChannelMapper;
import com.qs.mp.channel.service.IChannelService;
import com.qs.mp.system.service.ISysUserService;
import com.qs.mp.system.service.id.BizIdGenerator;
import com.qs.mp.utils.SecurityUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 渠道经销商 服务实现类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
@Service
public class ChannelServiceImpl extends ServiceImpl<ChannelMapper, Channel> implements IChannelService {

	@Autowired
	private IChannelService channelService;
	
    @Autowired
    private ISysUserService userService;

	@Autowired
	private BizIdGenerator bizIdGenerator;

	@Override
	@Transactional
	public void saveChannel(Channel channel) throws Exception {
		// 1、校验名称是否重复、手机号是否存在（渠道表）
		
		// 2.校验佣金比例，不能高于其父渠道的佣金比例
		
		// 3.插入数据
		
		// 4.发送账号创建成功短信
	}
	

	@Override
	public void updateChannel(Channel channel) throws Exception {
		// 1、校验修改子渠道是否为当前用户的子渠道
		Long channelId = SecurityUtils.getLoginUser().getChannelId();
		
		// 2.校验名称是否重复、手机号是否存在（渠道表）；
		
		// 3.校验佣金比例，不能高于其父渠道的佣金比例，不能低于其子渠道的最大佣金比例
		
	    // 4.更新入库
	}

	@Override
	public List<ChannelVO> selectChannelVoList(Channel channel) {
		QueryWrapper<Channel> queryWrapper = new QueryWrapper<>();
		queryWrapper.eq("t1.parent_id", channel.getParentId());
		return getBaseMapper().selectChannelVoList(queryWrapper);
	}

	@Override
	public Channel getChannelByUserId(Long userId) {
		return getBaseMapper().selectOne(new LambdaQueryWrapper<Channel>().eq(Channel::getUserId, userId));
	}
}
